Bug 29678 - crashes
: crashes
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/seamonkey)
: unstable
: x86_64 Linux
: P3 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2013-12-31 00:07 by
Modified: 2014-02-18 02:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-12-31 00:07:51
/usr/bin/seamonkey: line 5: 29264 Ошибка сегментирования                  
/usr/lib64/seamonkey/seamonkey-bin ${1:+"$@"}

zsh: segmentation fault  /usr/lib64/seamonkey/seamonkey-bin
------- Comment #1 From 2013-12-31 17:55:52 -------
Аналогично...
------- Comment #2 From 2014-01-09 13:16:35 -------
Я уже три версии подряд не могу найти в чём причина. Буду признателен, если
поможете.
------- Comment #3 From 2014-02-18 02:37:31 -------
seamonkey-1:2.23-alt1 -> sisyphus:

* Mon Feb 17 2014 Andrey Cherepanov <cas@altlinux> 1:2.23-alt1
- New version of Seamonkey 2.23
- Security fixes since 2.21:
  + MFSA 2013-117 Mis-issued ANSSI/DCSSI certificate
  + MFSA 2013-116 JPEG information leak
  + MFSA 2013-115 GetElementIC typed array stubs can be generated outside
observed typesets
  + MFSA 2013-114 Use-after-free in synthetic mouse movement
  + MFSA 2013-113 Trust settings for built-in roots ignored during EV
certificate validation
  + MFSA 2013-112 Linux clipboard information disclosure though selection paste
  + MFSA 2013-111 Segmentation violation when replacing ordered list elements
  + MFSA 2013-110 Potential overflow in JavaScript binary search algorithms
  + MFSA 2013-109 Use-after-free during Table Editing
  + MFSA 2013-108 Use-after-free in event listeners
  + MFSA 2013-107 Sandbox restrictions not applied to nested object elements
  + MFSA 2013-106 Character encoding cross-origin XSS attack
  + MFSA 2013-104 Miscellaneous memory safety hazards
  + MFSA 2013-102 Use-after-free in HTML document templates
  + MFSA 2013-101 Memory corruption in workers
  + MFSA 2013-100 Miscellaneous use-after-free issues found through ASAN
fuzzing
  + MFSA 2013-98 Use-after-free when updating offline cache
  + MFSA 2013-97 Writing to cycle collected object during image decoding
  + MFSA 2013-96 Improperly initialized memory and overflows in some JavaScript
functions
  + MFSA 2013-95 Access violation with XSLT and uninitialized data
  + MFSA 2013-94 Spoofing addressbar though SELECT element
  + MFSA 2013-93 Miscellaneous memory safety hazards
- Disable Enigmail extension (ALT #29678)

* Mon Sep 23 2013 Andrey Cherepanov <cas@altlinux> 1:2.21-alt1
- New version 2.21
- Security fixes:
  + MFSA 2013-92 GC hazard with default compartments and frame chain
restoration
  + MFSA 2013-91 User-defined properties on DOM proxies get the wrong "this"
object
  + MFSA 2013-90 Memory corruption involving scrolling
  + MFSA 2013-89 Buffer overflow with multi-column, lists, and floats
  + MFSA 2013-88 compartment mismatch re-attaching XBL-backed nodes
  + MFSA 2013-85 Uninitialized data in IonMonkey
  + MFSA 2013-83 Mozilla Updater does not lock MAR file after signature
verification
  + MFSA 2013-82 Calling scope for new Javascript objects can lead to memory
corruption
  + MFSA 2013-81 Use-after-free with select element
  + MFSA 2013-80 NativeKey continues handling key messages after widget is
destroyed
  + MFSA 2013-79 Use-after-free in Animation Manager during stylesheet cloning
  + MFSA 2013-78 Integer overflow in ANGLE library
  + MFSA 2013-77 Improper state in HTML5 Tree Builder with templates
  + MFSA 2013-76 Miscellaneous memory safety hazards
- Add build requires of Gstreamer